<?php
defined('_JEXEC') or die('Restricted Access');

//Get All Groups
JModelLegacy::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_users/models', 'UsersModel');
$model = JModelLegacy::getInstance('Groups', 'UsersModel', array('ignore_request' => true));
$userGrps = $model->getItems();

//Get Menu items by Group Access
$url = $displayData['menu-url'];
$displayData['acl'] = array();
foreach ($userGrps as $userGrp) {
	if(JAccess::checkGroup((int)$userGrp->id,'core.login.admin') || $userGrp->id == '8') {
		if (preg_match('/(option=)(com_[a-z0-9]+)/', $url)) {
			preg_match_all('/(option=)(com_[a-z0-9]+)/', $url, $matches);
			$asset = $matches[2][0];
			switch ($asset) {
				case 'com_cpanel' :
					break;
				case 'com_config' :
				case 'com_admin' :
					if (JAccess::checkGroup((int) $userGrp->id, 'core.admin', $asset) || $userGrp->id == 8) {
						$displayData['acl'][] = $userGrp->id;
					}
					break;
				default :
					if ($asset == 'com_categories') {
						if (preg_match('/(&extension=)(.+)/', $url)) {
							preg_match_all('/(&extension=)(.+)/', $url, $matches);
							$asset = $matches[2][0];
						}
					}
					if (JAccess::checkGroup((int) $userGrp->id, 'core.manage', $asset) || $userGrp->id == 8) {
						if (preg_match('/(edit)(&.+)?/', $url)) {
							if (JAccess::checkGroup((int) $userGrp->id, 'core.edit', $asset) || $userGrp->id == 8) {
								$displayData['acl'][] = $userGrp->id;
							}
						} else if (preg_match('/(\.add)$/', $url) || preg_match('/(\.add&)(.+)?/', $url)) {
							if (JAccess::checkGroup((int) $userGrp->id, 'core.create', $asset) || $userGrp->id == 8) {
								$displayData['acl'][] = $userGrp->id;
							}
						} else if (preg_match('/(\.delete&?)/', $url)) {
							if (JAccess::checkGroup((int) $userGrp->id, 'core.delete', $asset) || $userGrp->id == 8) {
								$displayData['acl'][] = $userGrp->id;
							}
						} else {
							$displayData['acl'][] = $userGrp->id;
						}
					}
					break;
			}
		} else {
			$displayData['acl'][] = $userGrp->id;
		}
	}
}

if (count($displayData['acl']) > 1) {
	array_unshift($displayData['acl'], 'all');
}
?>
<?php if ($displayData['parent'] == 'root') : ?>
	<li id="<?php echo preg_replace('/\s+/','',$displayData['menu-title']).'-'.$displayData['id'] ?>" class="group-quicklinks">
		<div class="group-title">
			<span class="handle"><i class="fa fa-ellipsis-v" style="cursor: move"></i></span>
			<a data-toggle="collapse" href="#menu-<?php echo $displayData['id'] ?>" aria-expanded="true" aria-controls="menu-<?php echo $displayData['id'] ?>">
				<?php if (isset($displayData['menu-image']) && $displayData['menu-image'] != '') : ?>
					<span class="mn-icon">
						<img style="max-width:30px;max-height:30px;" src="../<?php echo $displayData['menu-image'];?>" />
					</span>
				<?php elseif (isset($displayData['menu-icon']) && $displayData['menu-icon'] != '') : ?>
					<span class="mn-icon">
						<i class="<?php echo $displayData['menu-icon'] ?>"></i>
					</span>
				<?php endif; ?>
				<?php echo ucfirst($displayData['menu-title']); ?>
			</a>
			<div class="mn-show-on">
				<h6><?php echo JText::_('TPL_ADMIN_DASHBOARD_SHOW_ON') ?></h6>
				<select id="<?php echo preg_replace('/\s+/','',$displayData['menu-title']).'-'.$displayData['id'] ?>" name="<?php echo preg_replace('/\s+/','',$displayData['menu-title']).'_'.$displayData['id'] ?>" class="usergr-list" multiple="true">
					<option value="all" selected="true">All</option>
					<?php foreach ($userGrps as $userGrp) :
						if(JAccess::checkGroup((int)$userGrp->id,'core.login.admin') || $userGrp->id == '8') : ?>
							<option value="<?php echo $userGrp->id ?>" disabled="true"><?php echo $userGrp->title ?></option>
					<?php	endif;
					 endforeach; ?>
				</select>
				<?php if (isset($displayData['type']) && $displayData['type'] == 'custom') : ?>
					<div class="mn-group-edit">
						<a href="javascript:void(0);" 
								data-timestamp="<?php echo $displayData['id']?>"
								data-title="<?php echo $displayData['menu-title'] ?>"
								data-icons="<?php echo $displayData['menu-icon'] ?>"
								data-image="<?php echo $displayData['menu-image'] ?>"
							<i class="fa fa-edit"></i>
						</a>
						<button class="delete-mn-group"><i class="fa fa-trash"></i></button>
						<div id="edit-mn-<?php echo $displayData['id'] ?>" class="edit-mn-group">
							<ul>
								<li>
									<label><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINK_TITLE') ?>:</label>
									<input name="menu-title" value="<?php echo $displayData['menu-title'] ?>" type="text" />
								</li>
								<li>
									<label><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINK_ICON') ?>:</label>
									<input name="menu-icon" type="text" value="<?php echo $displayData['menu-icon'] ?>" />
								</li>
								<li>
									<div class="link-media">
										<input id="image_url" type="text" name="menu-image" value="<?php echo $displayData['menu-image'] ?>" />
										<a class="btn btn-image" href="javascript:void(0);" data-toggle="modal" data-target="#jform-image-icon"><i class="fa fa-image"></i></a>
									</div>
								</li>
								<li>
									<button class="btn btn-primary btn-mn-group-edit"><i class="fa fa-plus-circle"></i> <?php echo JText::_('TPL_ADMIN_DASHBOARD_GROUP_SAVE'); ?></button>
									<a class="btn btn-cancel" href="javascript:void(0);">
										<i class="fa fa-close"></i>
										<?php echo JText::_('JCANCEL'); ?>
									</a>
								</li>
							</ul>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
		<ul class="links collapse" id="menu-<?php echo $displayData['id'] ?>"></ul>
	</li>
<?php else : ?>
	<li id="<?php if(isset($displayData['id'])) echo $displayData['id']; else echo $displayData['timestamp']; ?>" level="<?php echo $displayData['level'] ?>" class="ja-menu-item <?php if ($displayData['level'] > 2) : ?>item-child<?php endif; ?>">
		<div class="mn-item-inner">
			<span class="handle"><i class="fa fa-ellipsis-v" style="cursor: move"></i></span>
			<div class="mn-item-title">
				<h4>
					<span class="leaf"><?php if ($displayData['level'] == 2) : ?>--<?php elseif ($displayData['level'] > 2) : ?> &#9482; -- <?php endif; ?></span> 
					<?php if (isset($displayData['menu-image']) && $displayData['menu-image'] != '') : ?>
						<span class="mn-icon">
							<img style="max-width:30px;max-height:30px;" src="../<?php echo $displayData['menu-image'] ?>" />
						</span>
					<?php elseif (isset($displayData['menu-icon']) && $displayData['menu-icon'] != '') : ?>
						<span class="mn-icon">
							<i class="<?php echo $displayData['menu-icon'] ?>"></i>
						</span>
					<?php endif; ?>
					<?php echo ucfirst(JText::_($displayData['menu-title'])); ?>
				</h4>
				<small><span class="leaf">&#9482; --</span> <?php echo $displayData['menu-url'] ?></small>
			</div>
			<div class="mn-show-on">
				<h6><?php echo JText::_('TPL_ADMIN_DASHBOARD_SHOW_ON') ?>:</h6>
				<select name="jads_menu_<?php if(isset($displayData['id'])) echo $displayData['id']; else echo $displayData['timestamp']; ?>" class="usergr-list" multiple="true">
					<?php if (in_array('all', $displayData['acl'])) : ?>
							<option value="all" selected="true">All</option>
					<?php endif;
					foreach ($userGrps as $userGrp) : 
						if (in_array($userGrp->id, $displayData['acl'])) : ?>
							<option value="<?php echo $userGrp->id ?>"><?php echo $userGrp->title ?></option>
					<?php	endif;
					endforeach; ?>
				</select>
			</div>
			<?php if (isset($displayData['type']) && $displayData['type'] == 'custom') : ?>
				<div class="mn-item-actions">
					<button class="btn-edit-menu-item"
							data-timestamp="<?php if(isset($displayData['id'])) echo $displayData['id']; else echo $displayData['timestamp'];?>"
							data-title="<?php echo $displayData['menu-title'] ?>"
							data-url = "<?php echo $displayData['menu-url'] ?>"
							data-icons="<?php echo $displayData['menu-icon'] ?>"
							data-image="<?php echo $displayData['menu-image'] ?>">
						<i class="fa fa-edit"></i>
					</button>
					<button class="delete-menu-item" data-title="<?php echo $displayData['menu-title'] ?>"><i class="fa fa-trash"></i></button>
					<div id="edit-menu-item-<?php if(isset($displayData['id'])) echo $displayData['id']; else echo $displayData['timestamp']; ?>" class="mn-edit-item collapse">
						<ul>
							<li>
								<label><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINK_TITLE') ?>:</label>
								<input name="menu-title" value="<?php echo $displayData['menu-title'] ?>" type="text" />
							</li>
							<li>
								<label><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINK_URL') ?>:</label>
								<input name="menu-url" type="text" value="<?php echo $displayData['menu-url'] ?>" />
							</li>
							<li>
								<label><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINK_ICON') ?>:</label>
								<input name="menu-icon" type="text" value="<?php echo $displayData['menu-icon'] ?>" />
							</li>
							<li>
								<div class="link-media">
									<input id="image_url" type="text" name="menu-image" value="<?php echo $displayData['menu-image'] ?>" />
									<a class="btn btn-image" href="javascript:void(0);" data-toggle="modal" data-target="#jform-image-icon"><i class="fa fa-image"></i></a>
								</div>
							</li>
							<li>
								<button class="btn btn-primary btn-mn-item-edit"><i class="fa fa-plus-circle"></i> <?php echo JText::_('TPL_ADMIN_DASHBOARD_GROUP_SAVE'); ?></button>
								<a class="btn btn-cancel" href="javascript:void(0);">
									<i class="fa fa-close"></i>
									<?php echo JText::_('JCANCEL'); ?>
								</a>
							</li>
						</ul>
					</div>
				</div>
			<?php endif; ?>
		</div>
	</li>
<?php endif; ?>
<script>
	jQuery(document).ready(function($) {
		$.getScript('<?php echo JUri::base() . 'templates/'. _ADMIN_TPL . '/js/quicklink.js'; ?>', function() {});
	});
</script>